PETSc version 3.15.5
Fix/Edit manual page

# SNESLineSearchSetReason

Sets the success/failure status of the last line search application

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchSetReason(SNESLineSearch linesearch, SNESLineSearchReason result)

### Input Parameters

| linesearch | - linesearch context
| result | - The success or failure status

### Notes

This is typically called in a SNESLineSearchApply() or SNESLineSearchShell implementation to set the success or failure of the line search method.

### See Also

SNESLineSearchGetSResult()

### Level

developer

### Location

src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages